<?php
	/*
	Plugin Name: CloudSlider - kingstheme.com
	Plugin URI: http://webuddysoft.com/cslider/
	Version: 1.1.0
	Description: CloudSlider - Most advanced responsive slider.
	Author: David An
	Author URI: http://webuddysoft.com/
    Text Domain: CloudSlider
	*/
	define('CS_DIR', plugin_dir_path(__FILE__) );
	define('CS_ROOT_URL', plugins_url('', __FILE__));
	define('CS_PLUGIN_VERSION', '1.1.0');
    global $objCloudSlider;
    require_once("include/class.cloudSlider.php");    
	require_once("include/functions.php"); 
    register_activation_hook(__FILE__,'cs_directory_install');
	require('include/update-notifier.php');
    $objCloudSlider=new cloudSlider();
	add_action("wp_enqueue_scripts","_cs_script");
    add_action( 'admin_enqueue_scripts', '_cs_admin_script' );
	add_action( 'admin_print_scripts', '_cs_admin_print_script' );
	add_action( 'admin_enqueue_scripts', '_cs_page_admin_script' );	
	add_action( 'admin_menu', 'register_cs_menu_page' );
	add_shortcode('cloudslider','cloudslider_callback');
	add_action( 'wp_ajax_cloud_id', 'cloud_id_callback' );
    add_action( 'wp_ajax_save_slider', 'save_slider_callback' );
    add_action( 'wp_ajax_get_templates', 'get_templates_callback' );
	add_action( 'wp_ajax_preview_slider', 'preview_slider_callback' );
	add_action( 'wp_ajax_delete_preview', 'delete_preview_callback' );
	add_action( 'wp_ajax_cs_update', 'cs_update_callback' );
	add_action( 'cloud_advance_settings', '_save_cloude_advanced_settings');
	add_action( 'wp_ajax_cloud_post_data', 'cloud_post_data_callback' );
	add_action( 'wp_ajax_cloud_short_code', 'cloud_short_code_callback' );
?>